Package org.apache.torque.templates.model

# Class ForeignKey

java.lang.Object
org.apache.torque.templates.model.ForeignKey

public class ForeignKey extends Object
The model of the foreign-key tag in a Torque schema file.

Version:
  $Id: $

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `foreignColumnNames`
  Contains all foreign column names in a comma-separated String.
  `String`
  `foreignTable`
  The name of the foreign table.
  `String`
  `localColumnNames`
  Contains all local column names in a comma-separated String.
  `String`
  `name`
  The name of the foreign key.
  `String`
  `onDelete`
  The action performed by the database if the referenced record is deleted.
  `String`
  `onUpdate`
  The action performed by the database if the referenced record is updated.
  `List<Option>`
  `optionList`
  The list of options for this foreign key.
  `Table`
  `parent`
  The table to which this foreign key definition belongs.
  `List<Reference>`
  `referenceList`
  The list of column references for this foreign key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForeignKey()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parent

    public Table parent
    The table to which this foreign key definition belongs.

  - ### optionList

    public List<Option> optionList
    The list of options for this foreign key.

  - ### referenceList

    public List<Reference> referenceList
    The list of column references for this foreign key.

  - ### name

    public String name
    The name of the foreign key.

  - ### foreignTable

    public String foreignTable
    The name of the foreign table.

  - ### onDelete

    public String onDelete
    The action performed by the database if the referenced record is deleted.

  - ### onUpdate

    public String onUpdate
    The action performed by the database if the referenced record is updated.

  - ### localColumnNames

    public String localColumnNames
    Contains all local column names in a comma-separated String.

  - ### foreignColumnNames

    public String foreignColumnNames
    Contains all foreign column names in a comma-separated String.

- ## Constructor Details

  - ### ForeignKey

    public ForeignKey()